Open SCAP Library

Public Member Functions | Data Fields
cvrf_product_status Struct Reference

## Public Member Functions
cvrf_product_status_type_t | cvrf_product_status_get_type (struct cvrf_product_status *stat)
xmlNode * | cvrf_product_status_to_dom (const struct cvrf_product_status *stat)
| Parent: ProductStatuses container in a CVRF Vulnerability element. More...
struct cvrf_product_status * | cvrf_product_status_new (void)
| New Status member of a ProductStatuses container within a Vulnerability element. More...
void | cvrf_product_status_free (struct cvrf_product_status *status)
| Deallocates memory for a Status element of the ProductStatuses container. More...
struct cvrf_product_status * | cvrf_product_status_clone (const struct cvrf_product_status *stat)
struct oscap_string_iterator * | cvrf_product_status_get_ids (struct cvrf_product_status *stat)

## Data Fields
cvrf_product_status_type_t | type
struct oscap_stringlist * | product_ids

## Member Function Documentation

## ◆ cvrf_product_status_get_type()

cvrf_product_status_type_t cvrf_product_status_get_type | ( | struct cvrf_product_status * | stat | ) |

Indicates the status of products with regards to a Vulnerability

Parameters

  stat | CVRF Status structure

Returns
  Enum representing Type attribute of the Status element

## ◆ cvrf_product_status_to_dom()

xmlNode * cvrf_product_status_to_dom | ( | const struct cvrf_product_status * | stat | ) |

Parent: ProductStatuses container in a CVRF Vulnerability element.

Parameters

  stat | CVRF Status structure to be exported to XML

Returns
  xmlNode representing Status element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h